
<div class="tad-referral-roster">
  <app-referral-roster
    [isTAD] = "true"
    [hpSiteIDforTAD] = "selectedHpSite ? selectedHpSite.siteID : 0"
    [hpSiteNoforTAD]="selectedHpSite ? selectedHpSite.siteNo : ''"
    [hpSiteNameforTAD]="selectedHpSite ? selectedHpSite.siteName: ''"
    [hpAgencyIDforTAD]="selectedHpSite ? selectedHpSite.agencyID: ''"
    [hpAgencyNoforTAD]="selectedHpSite ? selectedHpSite.agencyNo: ''"
    [hpAgencyNameforTAD]="selectedHpSite ? selectedHpSite.agencyName: ''"
    [referralValidatorIDs]="referralValidatorIDs"
    [tadValidationMsg]="tadValidationMsg">
  </app-referral-roster>
  <app-nav-footer [isSaveRequired]="false" [isExitRequired]="true" (Exitbtn)="onExitClick()" (Previousbtn)="PreviousTadPage()" (Nextbtn)="NextTadPage()"></app-nav-footer>
</div>

